メインコンテンツへスキップ
POST
/
crm
/
v3
/
exports
/
export
/
async
エクスポートを開始
curl --request POST \
  --url https://api.hubapi.com/crm/v3/exports/export/async \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "associatedObjectType": [
    "<string>"
  ],
  "exportInternalValuesOptions": [],
  "exportName": "<string>",
  "exportType": "VIEW",
  "includeLabeledAssociations": true,
  "includePrimaryDisplayPropertyForAssociatedObjects": true,
  "objectProperties": [
    "<string>"
  ],
  "objectType": "<string>",
  "overrideAssociatedObjectsPerDefinitionPerRowLimit": true
}
'
import requests

url = "https://api.hubapi.com/crm/v3/exports/export/async"

payload = {
"associatedObjectType": ["<string>"],
"exportInternalValuesOptions": [],
"exportName": "<string>",
"exportType": "VIEW",
"includeLabeledAssociations": True,
"includePrimaryDisplayPropertyForAssociatedObjects": True,
"objectProperties": ["<string>"],
"objectType": "<string>",
"overrideAssociatedObjectsPerDefinitionPerRowLimit": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
associatedObjectType: ['<string>'],
exportInternalValuesOptions: [],
exportName: '<string>',
exportType: 'VIEW',
includeLabeledAssociations: true,
includePrimaryDisplayPropertyForAssociatedObjects: true,
objectProperties: ['<string>'],
objectType: '<string>',
overrideAssociatedObjectsPerDefinitionPerRowLimit: true
})
};

fetch('https://api.hubapi.com/crm/v3/exports/export/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "links": {}
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
associatedObjectType
string[]
必須
exportInternalValuesOptions
enum<string>[]
必須
利用可能なオプション:
NAMES,
VALUES
exportName
string
必須
exportType
enum<string>
デフォルト:VIEW
必須
利用可能なオプション:
VIEW
format
enum<string>
必須
利用可能なオプション:
CSV,
XLS,
XLSX
includeLabeledAssociations
boolean
必須
includePrimaryDisplayPropertyForAssociatedObjects
boolean
必須
language
enum<string>
必須
利用可能なオプション:
AF_ZA,
AR_EG,
BG,
BN,
CA_ES,
CS,
DA_DK,
DE,
EL_GR,
EN,
EN_GB,
ES,
ES_MX,
ET_EE,
FI,
FR,
FR_CA,
HE_IL,
HI_IN,
HR,
HU,
ID,
IT,
JA,
KO_KR,
LT_LT,
MS,
NL,
NO,
PL,
PT_BR,
PT_PT,
RO,
RU,
SK_SK,
SL,
SV,
TH,
TL,
TR,
UK,
VI_VN,
ZH_CN,
ZH_HK,
ZH_TW
objectProperties
string[]
必須
objectType
string
必須
overrideAssociatedObjectsPerDefinitionPerRowLimit
boolean
必須
publicCrmSearchRequest
object

レスポンス

accepted

id
string
必須

エクスポートの固有ID。

エクスポート処理に関連する、関連性の高いリンクを含むオブジェクト。

最終更新日 2026年4月10日